# Default values for gx-notary.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: registry.gitlab.com/gaia-x/lab/compliance/gaia-x-notary-registrationnumber
  pullPolicy: Always
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

imagePullSecrets: []
nameOverride: "main"
fullnameOverride: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 3000

ingress:
  enabled: true
  className: ""
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/use-regex: "true"
  hosts:
    - host: "registrationnumber.notary.lab.gaia-x.eu"
      paths:
        - path: /main
          pathType: Prefix
  tls:
    - hosts:
        - "registrationnumber.notary.lab.gaia-x.eu"
      secretName: notary-server-tls-secret

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}

privateKey: "ZW1wdHk="
privateKeyAlgorithm: "PS256"
x509Certificate: "ZW1wdHk="
urls:
  eoriValidationAPI: "https://ec.europa.eu/taxation_customs/dds2/eos/validation/services/validation"
  leiCodeValidationApi: "https://api.gleif.org/api/v1/lei-records/"
  vatIdValidationAPI: "http://ec.europa.eu/taxation_customs/vies/services/checkVatService"
  openCorporatesAPI: "https://api.opencorporates.com/v0.4/companies/search"
openCorporatesAPIKey: ""
offlineContexts: "false"
